﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace HKLib
{
    public static class HKExpandMethod
    {
        public static bool TryFromJSON<T>(this string str, out T source)
        {
            try
            {
                source = JsonConvert.DeserializeObject<T>(str);
                return true;
            }
            catch (Exception ex)
            {
                source=default(T);
                return false;
            }
        }
    }
}
